﻿using System;
using System.Windows.Forms;
using AddinExpress.MSO;
using Outlook = Microsoft.Office.Interop.Outlook;

namespace adx_ol_cs_OutlookItemsEvents
{
    /// <summary>
    /// Add-in Express Outlook Items Events Class
    /// </summary>
    public class OutlookItemsEvents : AddinExpress.MSO.ADXOutlookItemsEvents
    {
        public OutlookItemsEvents(AddinExpress.MSO.ADXAddinModule module)
            : base(module)
        {
        }

        public override void ProcessItemAdd(object item)
        {
            Outlook.MAPIFolder folder = FolderObj as Outlook.MAPIFolder;
            MessageBox.Show("An Item is added to the '" + folder.Name + "' folder.");
        }

        public override void ProcessItemChange(object item)
        {
            Outlook.MAPIFolder folder = FolderObj as Outlook.MAPIFolder;
            MessageBox.Show("An Item is changed in the '" + folder.Name + "' folder.");
        }

        public override void ProcessItemRemove()
        {
            Outlook.MAPIFolder folder = FolderObj as Outlook.MAPIFolder;
            MessageBox.Show("An Item is removed from the '" + folder.Name + "' folder.");
        }

        public override void ProcessBeforeFolderMove(object moveTo, AddinExpress.MSO.ADXCancelEventArgs e)
        {
            // TODO: Add some code
        }

        public override void ProcessBeforeItemMove(object item, object moveTo, AddinExpress.MSO.ADXCancelEventArgs e)
        {
            // TODO: Add some code
        }
    }
}

